CVE-1999-1165
CVSS7.2
发布时间 :1999-07-21 00:00:00
修订时间 :2016-10-17 22:01:53
NMCOS    

[原文]GNU fingerd 1.37 does not properly drop privileges before accessing user information, which could allow local users to (1) gain root privileges via a malicious program in the .fingerrc file, or (2) read arbitrary files via symbolic links from .plan, .forward, or .project files.


[CNNVD]GNU指针特权终止漏洞(CNNVD-199907-025)

        GNU fingerd 1.37版本在访问用户信息之前不能正确终止特权。本地用户可以(1)借助.fingerrc文件中的恶意程序获得根特权,或者(2)借助来自.plan, .forward或 .project文件中的符号连接来读取任意文件。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-1165
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-1165
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199907-025
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=93268249021561&w=2
(UNKNOWN)  BUGTRAQ  19990721 old gnu finger bugs
http://www.securityfocus.com/archive/1/2478
(VENDOR_ADVISORY)  BUGTRAQ  19950317 GNU finger 1.37 executes ~/.fingerrc with gid root
http://www.securityfocus.com/bid/535
(VENDOR_ADVISORY)  BID  535

- 漏洞信息

GNU指针特权终止漏洞
高危 访问验证错误
1999-07-21 00:00:00 2005-10-20 00:00:00
本地  
        GNU fingerd 1.37版本在访问用户信息之前不能正确终止特权。本地用户可以(1)借助.fingerrc文件中的恶意程序获得根特权,或者(2)借助来自.plan, .forward或 .project文件中的符号连接来读取任意文件。

- 公告与补丁

        The only solution is to indefinitely disable GNU fingerd until this is addressed.
        Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 漏洞信息

10873
GNU fingerd .fingerrc Arbitrary Command Execution Privilege Escalation
Input Manipulation
Loss of Integrity Solution Unknown

- 漏洞描述

- 时间线

1995-03-17 Unknow
Unknow Unknow

- 解决方案

OSVDB is not aware of a solution for this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

GNU finger Privilege Dropping Vulnerabilities
Access Validation Error 535
No Yes
1999-07-22 12:00:00 2009-07-11 12:56:00
First posted to BugTraq by Thomas Roessler <roessler@sobolev.cologne.de> on March 17, 1995. Re-posted to BugTraq by Andrew Jone <jones@cns.uni.edu> on March 17, 1999.

- 受影响的程序版本

GNU finger 1.37

- 漏洞讨论

There are two vulnerabilities in the GNU finger package downloadable from metalab that have to do with proper privilege dropping. The finger daemon runs as root by default and responds to finger queries for information on the system's users. The first vulnerability allows a malicious user to have an arbitrary program run with gid 0 if the use of .fingerrc is permitted. This is because fingerd drops the uid (0) before gid, leaving itself lacking the permission to drop the gid. The second vulnerability allows an attacker to create a symbolic link from .plan, .forward or .project that fingerd will follow and read with uid 0 (ie. .plan -&gt; /etc/shadow). These vulnerabilities are not new, they were exposed in 1995 on BugTraq and remain unfixed to this day.

- 漏洞利用

See discussion.

- 解决方案

The only solution is to indefinitely disable GNU fingerd until this is addressed.

Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站